org.apache.hadoop.yarn.api.protocolrecords.impl.pb

## Class GetQueueUserAclsInfoResponsePBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse
  - - org.apache.hadoop.yarn.api.protocolrecords.impl.pb.GetQueueUserAclsInfoResponsePBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class GetQueueUserAclsInfoResponsePBImpl
      extends org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetQueueUserAclsInfoResponsePBImpl()`
    `GetQueueUserAclsInfoResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueUserAclsInfoResponseProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueUserAclsInfoResponseProto` | `getProto()`
    `List<org.apache.hadoop.yarn.api.records.QueueUserACLInfo>` | `getUserAclsInfoList()`
    `int` | `hashCode()`
    `void` | `setUserAclsInfoList(List<org.apache.hadoop.yarn.api.records.QueueUserACLInfo> queueUserAclsList)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GetQueueUserAclsInfoResponsePBImpl

          public GetQueueUserAclsInfoResponsePBImpl()

    - #### GetQueueUserAclsInfoResponsePBImpl

          public GetQueueUserAclsInfoResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueUserAclsInfoResponseProto proto)

  - ### Method Detail

    - #### getUserAclsInfoList

          public List<org.apache.hadoop.yarn.api.records.QueueUserACLInfo> getUserAclsInfoList()

      Specified by:
        `getUserAclsInfoList` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse`

    - #### setUserAclsInfoList

          public void setUserAclsInfoList(List<org.apache.hadoop.yarn.api.records.QueueUserACLInfo> queueUserAclsList)

      Specified by:
        `setUserAclsInfoList` in class `org.apache.hadoop.yarn.api.protocolrecords.GetQueueUserAclsInfoResponse`

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.GetQueueUserAclsInfoResponseProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.